> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm bank payment

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>

<Note>
  In our sandbox environment, this endpoint is used to simulate a successful fiat payment.\
  In our production environment, this endpoint only needs to be called when making a PEN, COP or USD payment. Payments in all other currencies are processed automatically.
</Note>

### Requirements to consume the endpoint.

<CardGroup cols={2}>
  <Card title="Create and modify role" icon="user-lock">
    The user must have the role to create and modify.
  </Card>

  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml v1/api-reference/bank-payments-docs.json post /api/payments/bank/check
openapi: 3.0.0
info:
  version: v1.0.0
  title: Bank payments API (legacy v1)
  description: API for managing bank payments in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payments/bank/check:
    post:
      summary: Confirm bank payment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/checkBankPaymentSchema'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseCheckBankPaymentSchema'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  schemas:
    checkBankPaymentSchema:
      type: object
      properties:
        orderId:
          description: Id of the order for which you wish to confirm the payment was sent.
          type: string
          example: 665f407ad6c964829d639e1f
      required:
        - orderId
    responseCheckBankPaymentSchema:
      type: string
      example: OK
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.